<%
    namespace
    receiver_name
    x
    y
    z
    roll
    pitch
    yaw
%>
  <model name="<%= receiver_name %>">
    <pose><%= x %> <%= y %> <%= z %> <%= roll %> <%= pitch %> <%= yaw %></pose>
    <link name="base_link">
      <inertial>
        <mass>0.1</mass>
        <inertia>
          <ixx>0.000012</ixx>
            <iyy>0.000406</iyy>
            <izz>0.000418</izz>
        </inertia>
      </inertial>
      <visual name="base">
        <geometry>
          <box>
            <size>.05 .05 .05</size>
          </box>
        </geometry>
      </visual>
      <visual name="antenna">
        <pose>0.02 0 0 0 1.57 0</pose>
        <geometry>
          <cylinder>
            <radius>.005</radius>
            <length>.07</length>
          </cylinder>
        </geometry>
      </visual>
      <sensor name="wirelessReceiver" type="wireless_receiver">
        <plugin name="<%= receiver_name %>" filename="libwifi_ros_plugin.so">
            <ros>
                <namespace><%= namespace %></namespace>
            </ros>
        </plugin>
        <always_on>1</always_on>
        <update_rate>1</update_rate>
        <visualize>true</visualize>
        <transceiver>
          <min_frequency>2412.0</min_frequency>
          <max_frequency>2484.0</max_frequency>
          <power>14.5</power>
          <gain>2.5</gain>
          <sensitivity>-90.0</sensitivity>
        </transceiver>
      </sensor>
    </link>
  </model>

